import React, { FunctionComponent } from "react";
/**
 * Properties
 */
export type IfNotLoadingProps = {
    isLoading: boolean | (() => boolean);
    loadingComponent?: React.ReactNode;
    children?: React.ReactNode;
};
/**
 * Displays a Spinner control while the condition property is true.  When false, the provided children
 * are displayed.  Useful when displaying content from the results of an async operation such as a REST
 * call.
 */
export declare const IfNotLoading: FunctionComponent<IfNotLoadingProps>;
