import { FunctionComponent } from "react";
import { DropdownPopperProps } from "@patternfly/react-core";
/**
 * Properties
 */
export type ObjectDropdownProps = {
    label: string;
    items: any[];
    onSelect: (value: any | undefined) => void;
    itemToString: (value: any) => string;
    itemIsDivider?: (value: any) => boolean;
    itemIsVisible?: (value: any) => boolean;
    itemIsDisabled?: (value: any) => boolean;
    itemToTestId?: (value: any) => string;
    noSelectionLabel?: string;
    menuAppendTo?: HTMLElement | (() => HTMLElement) | "inline";
    isKebab?: boolean;
    testId?: string;
    popperProps?: DropdownPopperProps;
};
/**
 * A generic control that makes it easier to create a <Select> from an array of objects.
 */
export declare const ObjectDropdown: FunctionComponent<ObjectDropdownProps>;
