import { FunctionComponent } from "react";
export type FrontendInfo = {
    name: string;
    url: string;
    version: string;
    builtOn: Date | string;
    digest: string;
};
export type BackendInfo = {
    name: string;
    description: string;
    version: string;
    builtOn: Date | string;
    digest: string;
};
export type AppAboutModalProps = {
    isOpen: boolean;
    frontendInfo: FrontendInfo | (() => Promise<FrontendInfo>);
    backendInfo: BackendInfo | (() => Promise<BackendInfo>);
    backendLabel: string;
    brandImageSrc: string;
    brandImageAlt: string;
    onClose: () => void;
};
export declare const AppAboutModal: FunctionComponent<AppAboutModalProps>;
