import { FunctionComponent } from "react";
/**
 * Properties
 */
export type ProgressModalProps = {
    title: string;
    isCloseable: boolean;
    message: string;
    isOpen: boolean;
    progress: number | undefined;
    onClose: () => void;
};
/**
 * Models the "progress" modal.  This is shown when the user performs an asynchronous operation
 * with trackable progress (by percentage).
 */
export declare const ProgressModal: FunctionComponent<ProgressModalProps>;
